Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.core
Class DefaultPlannerBenchmark

    java.lang.Object
      org.drools.planner.benchmark.core.DefaultPlannerBenchmark

All Implemented Interfaces:
  PlannerBenchmark

    public class DefaultPlannerBenchmark

extends Object
implements PlannerBenchmark

Represents the benchmarks on multiple `Solver` configurations on multiple problem instances (data sets).

Field Summary
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`DefaultPlannerBenchmark()`

Method Summary
`void` | `benchmark()`
`void` | `benchmarkingEnded()`
`void` | `benchmarkingStarted()`
`long` | `calculateTimeMillisSpend()`
`Long` | `getAverageProblemScale()`
`File` | `getBenchmarkDirectory()`
`BenchmarkReport` | `getBenchmarkReport()`
`File` | `getBenchmarkReportDirectory()`
`long` | `getBenchmarkTimeMillisSpend()`
`Integer` | `getFailureCount()`
`int` | `getParallelBenchmarkCount()`
`String` | `getPlannerVersion()`
`List<SolverBenchmark>` | `getSolverBenchmarkList()`
`Comparator<SolverBenchmark>` | `getSolverBenchmarkRankingComparator()`
`SolverBenchmarkRankingWeightFactory` | `getSolverBenchmarkRankingWeightFactory()`
`Date` | `getStartingTimestamp()`
`List<ProblemBenchmark>` | `getUnifiedProblemBenchmarkList()`
`long` | `getWarmUpTimeMillisSpend()`
`boolean` | `hasAnyFailure()`
`boolean` | `hasMultipleParallelBenchmarks()`
`protected void` | `runSingleBenchmarks()`
`void` | `setBenchmarkDirectory(File benchmarkDirectory)`
`void` | `setParallelBenchmarkCount(int parallelBenchmarkCount)`
`void` | `setSolverBenchmarkList(List<SolverBenchmark> solverBenchmarkList)`
`void` | `setSolverBenchmarkRankingComparator(Comparator<SolverBenchmark> solverBenchmarkRankingComparator)`
`void` | `setSolverBenchmarkRankingWeightFactory(SolverBenchmarkRankingWeightFactory solverBenchmarkRankingWeightFactory)`
`void` | `setUnifiedProblemBenchmarkList(List<ProblemBenchmark> unifiedProblemBenchmarkList)`
`void` | `setWarmUpTimeMillisSpend(long warmUpTimeMillisSpend)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

Constructor Detail

### DefaultPlannerBenchmark

    public DefaultPlannerBenchmark()

Method Detail

### getBenchmarkDirectory

    public File getBenchmarkDirectory()

### setBenchmarkDirectory

    public void setBenchmarkDirectory(File benchmarkDirectory)

### getBenchmarkReportDirectory

    public File getBenchmarkReportDirectory()

### getSolverBenchmarkRankingComparator

    public Comparator<SolverBenchmark> getSolverBenchmarkRankingComparator()

### setSolverBenchmarkRankingComparator

    public void setSolverBenchmarkRankingComparator(Comparator<SolverBenchmark> solverBenchmarkRankingComparator)

### getSolverBenchmarkRankingWeightFactory

    public SolverBenchmarkRankingWeightFactory getSolverBenchmarkRankingWeightFactory()

### setSolverBenchmarkRankingWeightFactory

    public void setSolverBenchmarkRankingWeightFactory(SolverBenchmarkRankingWeightFactory solverBenchmarkRankingWeightFactory)

### getParallelBenchmarkCount

    public int getParallelBenchmarkCount()

### setParallelBenchmarkCount

    public void setParallelBenchmarkCount(int parallelBenchmarkCount)

### getWarmUpTimeMillisSpend

    public long getWarmUpTimeMillisSpend()

### setWarmUpTimeMillisSpend

    public void setWarmUpTimeMillisSpend(long warmUpTimeMillisSpend)

### getSolverBenchmarkList

    public List<SolverBenchmark> getSolverBenchmarkList()

### setSolverBenchmarkList

    public void setSolverBenchmarkList(List<SolverBenchmark> solverBenchmarkList)

### getUnifiedProblemBenchmarkList

    public List<ProblemBenchmark> getUnifiedProblemBenchmarkList()

### setUnifiedProblemBenchmarkList

    public void setUnifiedProblemBenchmarkList(List<ProblemBenchmark> unifiedProblemBenchmarkList)

### getStartingTimestamp

    public Date getStartingTimestamp()

### getPlannerVersion

    public String getPlannerVersion()

  Returns:
    sometimes null (only during development)

### getFailureCount

    public Integer getFailureCount()

### getAverageProblemScale

    public Long getAverageProblemScale()

### getBenchmarkTimeMillisSpend

    public long getBenchmarkTimeMillisSpend()

### getBenchmarkReport

    public BenchmarkReport getBenchmarkReport()

### hasMultipleParallelBenchmarks

    public boolean hasMultipleParallelBenchmarks()

### benchmark

    public void benchmark()

  Specified by:
    `benchmark` in interface `PlannerBenchmark`

### benchmarkingStarted

    public void benchmarkingStarted()

### runSingleBenchmarks

    protected void runSingleBenchmarks()

### calculateTimeMillisSpend

    public long calculateTimeMillisSpend()

### benchmarkingEnded

    public void benchmarkingEnded()

### hasAnyFailure

    public boolean hasAnyFailure()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.